Bug 10481 - Enabling spoolssd break some functions with driver upload/assigning
Enabling spoolssd break some functions with driver upload/assigning
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Printing
4.1.5
x64 Linux
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-02 16:05 UTC by Marc Muehlfeld
Modified: 2014-04-04 18:56 UTC (History)
1 user (show)

See Also:


Attachments
Level 10 debug log and packet capture (134.16 KB, application/x-bzip2)
2014-03-02 16:05 UTC, Marc Muehlfeld
no flags Details
Screenshot Print Server Properties with spoolssd disabled (22.87 KB, image/png)
2014-03-02 16:06 UTC, Marc Muehlfeld
no flags Details
Screenshot Print Server Properties with spoolssd enabled (20.19 KB, image/png)
2014-03-02 16:06 UTC, Marc Muehlfeld
no flags Details
v4-1-test patch (5.43 KB, patch)
2014-03-20 17:51 UTC, Andreas Schneider
metze: review+
gd: review+
Details
v4-0-test patch (5.43 KB, text/plain)
2014-03-20 17:52 UTC, Andreas Schneider
metze: review+
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Muehlfeld 2014-03-02 16:05:36 UTC
Created attachment 9738 [details]
Level 10 debug log and packet capture

When I enable spoolssd in smb.conf with

        rpc_server:spoolss = external
        rpc_daemon:spoolssd = fork

this breaks some stuff around printer driver assigning, uploading, etc.


Example 1:
* If you open the Print Server properties (tried on W7 64-Bit) and go to the "drivers" tab, you won't see any driver that were upload, if spoolssd is enabled.
I've attached screenshots (with enabled/disabled spoolssd), a level 10 debug log and packet capture of opening the "drivers" tab, when spoolssd is enabled.



Example 2:
* With enabled spoolssd you can successfully upload new drivers. But after the upload dialog is closed and you are brought back to the "drivers" tab in the Print Server properties window, you receive the error "The drivers list was not refreshed. The driver data may be invalid".
Comment 1 Marc Muehlfeld 2014-03-02 16:06:04 UTC
Created attachment 9739 [details]
Screenshot Print Server Properties with spoolssd disabled
Comment 2 Marc Muehlfeld 2014-03-02 16:06:15 UTC
Created attachment 9740 [details]
Screenshot Print Server Properties with spoolssd enabled
Comment 3 Andreas Schneider 2014-03-20 16:18:52 UTC
Marc, we have a fix. Backport will follow ...
Comment 4 Andreas Schneider 2014-03-20 17:51:28 UTC
Created attachment 9794 [details]
v4-1-test patch
Comment 5 Andreas Schneider 2014-03-20 17:52:46 UTC
Created attachment 9795 [details]
v4-0-test patch
Comment 6 Marc Muehlfeld 2014-03-21 14:00:45 UTC
I successfully applied the patch to 4.1.6.
It fixes the problem. Thanks.
Comment 7 Jeremy Allison 2014-03-21 17:17:24 UTC
Karolin, FYI. Ready for inclusion in 4.1.next, 4.0.next.
Comment 8 Karolin Seeger 2014-03-25 10:04:41 UTC
(In reply to comment #7)
> Karolin, FYI. Ready for inclusion in 4.1.next, 4.0.next.

Pushed to autobuild-v4-0-test and autobuild-v4-1-test.
Comment 9 Karolin Seeger 2014-04-04 18:56:47 UTC
Pushed to both branches.
Closing out bug report.

Thanks!